Create billing checkout session
curl --request POST \
--url https://api.runaether.dev/billing/checkout-sessions \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"checkout_type": "subscription",
"return_path": "<string>"
}
'import requests
url = "https://api.runaether.dev/billing/checkout-sessions"
payload = {
"checkout_type": "subscription",
"return_path": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({checkout_type: 'subscription', return_path: '<string>'})
};
fetch('https://api.runaether.dev/billing/checkout-sessions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"checkout_session_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"checkout_session_token": "<string>",
"checkout_type": "subscription",
"url": "<string>"
}{
"error": "<string>",
"code": "<string>"
}{
"error": "<string>",
"code": "<string>"
}{
"error": "<string>",
"code": "<string>"
}{
"error": "<string>",
"code": "<string>"
}{
"error": "<string>",
"code": "<string>"
}{
"error": "<string>",
"code": "<string>"
}{
"error": "<string>",
"code": "<string>"
}{
"error": "<string>",
"code": "<string>"
}Billing
Create billing checkout session
POST
/
billing
/
checkout-sessions
Create billing checkout session
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
- Option 1
- Option 2
Available options:
subscription Maximum string length:
500Pattern:
^/(?:(?:\.{3,}[!-"$&-.0->A-\[\]-~]*|\.{0,2}[!-"$&--0->A-\[\]-~][!-"$&-.0->A-\[\]-~]*)/)*(?:\.{3,}[!-"$&-.0->A-\[\]-~]*|\.{0,2}[!-"$&--0->A-\[\]-~][!-"$&-.0->A-\[\]-~]*)?$Available options:
starter, pro, max Response
Created
- Option 1
- Option 2
Pattern:
^pcs_[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}$Available options:
subscription Available options:
created, completed, expired, failed Available options:
active, failed, pending, pending_webhook Available options:
starter, pro, max ⌘I